<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/vecinos_anexos.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$vecinos_anexos = new Vecinos_Anexos($db);

$vecinos_anexos->id = isset($_GET['id']) ? $_GET['id'] : die();
$vecinos_anexos->readOne();
 
if($vecinos_anexos->id!=null){
    $vecinos_anexos_arr = array(
        
"id" => $vecinos_anexos->id,
"rut" => $vecinos_anexos->rut,
"nombre" => html_entity_decode($vecinos_anexos->nombre),
"apellido" => html_entity_decode($vecinos_anexos->apellido),
"clave_app" => html_entity_decode($vecinos_anexos->clave_app),
"id_vecino" => $vecinos_anexos->id_vecino
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "vecinos_anexos found","document"=> $vecinos_anexos_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "vecinos_anexos does not exist.","document"=> ""));
}
?>
